Software error: Koha Web Installer-MARC21

classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

Software error: Koha Web Installer-MARC21

bwengu
Hello,
I am installing Koha on Ubuntu 16 and I have managed to go through everything until on stage 3 where after selecting mandatory and optional options I get a software error.

The error am getting is;
DBIx::Class::Storage::DBI::_dbh_execute(): Incorrect integer value: '' for column 'suggestible' at row 1 at /usr/share/koha/lib/Koha/SearchField.pm line 38
or
DBIx::Class::Storage::DBI::_dbh_execute(): Data truncated for column 'type'
at row 1 at /usr/share/koha/lib/Koha/Objects.pm line 101

Please hep me because am stack
Reply | Threaded
Open this post in threaded view
|

Re: Software error: Koha Web Installer-MARC21

Zeno Tajoli-2
Hi,

>Hello,
>I am installing Koha on Ubuntu 16 and I have managed to go through
>everything until on *stage 3* where after selecting *mandatory* and
>*optional options* I get a *software error*.

install Koha on Ubuntu 16 is problematic.
See:
https://wiki.koha-community.org/wiki/Koha_on_ubuntu_-_packages#Ubuntu_16.04_and_MySQL_5.7

Bye
_______________________________________________
Koha mailing list  http://koha-community.org
[hidden email]
https://lists.katipo.co.nz/mailman/listinfo/koha
Reply | Threaded
Open this post in threaded view
|

Re: Software error: Koha Web Installer-MARC21

Dimitris Antonakis
I encountered the same error at a Debian stretch.server.Software error:

DBIx::Class::Storage::DBI::_dbh_execute(): Duplicate entry '15-24' for
key 'PRIMARY' at /usr/share/koha/lib/Koha/SearchField.pm line 38


Distributor ID: Debian
Description:    Debian GNU/Linux 9.1 (stretch)
Release:        9.1
Codename:       stretch

On Mon, Mar 13, 2017 at 11:07 AM Zeno Tajoli <[hidden email]> wrote:

> Hi,
>
> >Hello,
> >I am installing Koha on Ubuntu 16 and I have managed to go through
> >everything until on *stage 3* where after selecting *mandatory* and
> >*optional options* I get a *software error*.
>
> install Koha on Ubuntu 16 is problematic.
> See:
>
> https://wiki.koha-community.org/wiki/Koha_on_ubuntu_-_packages#Ubuntu_16.04_and_MySQL_5.7
>
> Bye
> _______________________________________________
> Koha mailing list  http://koha-community.org
> [hidden email]
> https://lists.katipo.co.nz/mailman/listinfo/koha
>
_______________________________________________
Koha mailing list  http://koha-community.org
[hidden email]
https://lists.katipo.co.nz/mailman/listinfo/koha
Reply | Threaded
Open this post in threaded view
|

Re: Software error: Koha Web Installer-MARC21

Michael Kuhn
Hi Dimitris

According to https://koha-community.org/download-koha/ Debian GNU/Linux
9 (Stretch) is not supported.

Koha has its own problems with Ubuntu 16.04 (see the link given by Zeno:
https://wiki.koha-community.org/wiki/Koha_on_ubuntu_-_packages ).
However it is said that "16.04 LTS is based on Debian stretch/SID". As
someone said, in fact Ubuntu doesn't follow the official Debian
releases. They just take whatever they need from the full archive.

Best wishes: Michael
--
Geschäftsführer · Diplombibliothekar BBS, Informatiker eidg. Fachausweis
Admin Kuhn GmbH · Pappelstrasse 20 · 4123 Allschwil · Schweiz
T 0041 (0)61 261 55 61 · E [hidden email] · W www.adminkuhn.ch



Am 19.09.2017 um 18:44 schrieb Dimitris Antonakis:

> I encountered the same error at a Debian stretch.server.Software error:
>
> DBIx::Class::Storage::DBI::_dbh_execute(): Duplicate entry '15-24' for
> key 'PRIMARY' at /usr/share/koha/lib/Koha/SearchField.pm line 38
>
>
> Distributor ID: Debian
> Description:    Debian GNU/Linux 9.1 (stretch)
> Release:        9.1
> Codename:       stretch
>
> On Mon, Mar 13, 2017 at 11:07 AM Zeno Tajoli <[hidden email]> wrote:
>
>> Hi,
>>
>>> Hello,
>>> I am installing Koha on Ubuntu 16 and I have managed to go through
>>> everything until on *stage 3* where after selecting *mandatory* and
>>> *optional options* I get a *software error*.
>>
>> install Koha on Ubuntu 16 is problematic.
>> See:
>>
>> https://wiki.koha-community.org/wiki/Koha_on_ubuntu_-_packages#Ubuntu_16.04_and_MySQL_5.7
>>
>> Bye
>> _______________________________________________
>> Koha mailing list  http://koha-community.org
>> [hidden email]
>> https://lists.katipo.co.nz/mailman/listinfo/koha
>>
> _______________________________________________
> Koha mailing list  http://koha-community.org
> [hidden email]
> https://lists.katipo.co.nz/mailman/listinfo/koha
>
_______________________________________________
Koha mailing list  http://koha-community.org
[hidden email]
https://lists.katipo.co.nz/mailman/listinfo/koha
Reply | Threaded
Open this post in threaded view
|

Re: Software error: Koha Web Installer-MARC21

Jonathan Druart
We received good feedbacks from people using Koha packages on stretch, see
this recent thread
https://lists.katipo.co.nz/pipermail/koha/2017-August/048673.html

On Tue, 19 Sep 2017 at 15:59 Michael Kuhn <[hidden email]> wrote:

> Hi Dimitris
>
> According to https://koha-community.org/download-koha/ Debian GNU/Linux
> 9 (Stretch) is not supported.
>
> Koha has its own problems with Ubuntu 16.04 (see the link given by Zeno:
> https://wiki.koha-community.org/wiki/Koha_on_ubuntu_-_packages ).
> However it is said that "16.04 LTS is based on Debian stretch/SID". As
> someone said, in fact Ubuntu doesn't follow the official Debian
> releases. They just take whatever they need from the full archive.
>
> Best wishes: Michael
> --
> Geschäftsführer · Diplombibliothekar BBS, Informatiker eidg. Fachausweis
> Admin Kuhn GmbH · Pappelstrasse 20 · 4123 Allschwil · Schweiz
> T 0041 (0)61 261 55 61 <+41%2061%20261%2055%2061> · E [hidden email] ·
> W www.adminkuhn.ch
>
>
>
> Am 19.09.2017 um 18:44 schrieb Dimitris Antonakis:
> > I encountered the same error at a Debian stretch.server.Software error:
> >
> > DBIx::Class::Storage::DBI::_dbh_execute(): Duplicate entry '15-24' for
> > key 'PRIMARY' at /usr/share/koha/lib/Koha/SearchField.pm line 38
> >
> >
> > Distributor ID: Debian
> > Description:    Debian GNU/Linux 9.1 (stretch)
> > Release:        9.1
> > Codename:       stretch
> >
> > On Mon, Mar 13, 2017 at 11:07 AM Zeno Tajoli <[hidden email]> wrote:
> >
> >> Hi,
> >>
> >>> Hello,
> >>> I am installing Koha on Ubuntu 16 and I have managed to go through
> >>> everything until on *stage 3* where after selecting *mandatory* and
> >>> *optional options* I get a *software error*.
> >>
> >> install Koha on Ubuntu 16 is problematic.
> >> See:
> >>
> >>
> https://wiki.koha-community.org/wiki/Koha_on_ubuntu_-_packages#Ubuntu_16.04_and_MySQL_5.7
> >>
> >> Bye
> >> _______________________________________________
> >> Koha mailing list  http://koha-community.org
> >> [hidden email]
> >> https://lists.katipo.co.nz/mailman/listinfo/koha
> >>
> > _______________________________________________
> > Koha mailing list  http://koha-community.org
> > [hidden email]
> > https://lists.katipo.co.nz/mailman/listinfo/koha
> >
> _______________________________________________
> Koha mailing list  http://koha-community.org
> [hidden email]
> https://lists.katipo.co.nz/mailman/listinfo/koha
>
_______________________________________________
Koha mailing list  http://koha-community.org
[hidden email]
https://lists.katipo.co.nz/mailman/listinfo/koha
Reply | Threaded
Open this post in threaded view
|

Re: Software error: Koha Web Installer-MARC21

Chris Cormack-7
The main thing to do is use mariadb not mysql.
The error reported earlier in this thread is due to using mysql.

There are still some issues with Koha and latest mysql. But it's fine with mariadb

Chris

On 20 September 2017 7:16:44 AM NZST, Jonathan Druart <[hidden email]> wrote:

>We received good feedbacks from people using Koha packages on stretch,
>see
>this recent thread
>https://lists.katipo.co.nz/pipermail/koha/2017-August/048673.html
>
>On Tue, 19 Sep 2017 at 15:59 Michael Kuhn <[hidden email]> wrote:
>
>> Hi Dimitris
>>
>> According to https://koha-community.org/download-koha/ Debian
>GNU/Linux
>> 9 (Stretch) is not supported.
>>
>> Koha has its own problems with Ubuntu 16.04 (see the link given by
>Zeno:
>> https://wiki.koha-community.org/wiki/Koha_on_ubuntu_-_packages ).
>> However it is said that "16.04 LTS is based on Debian stretch/SID".
>As
>> someone said, in fact Ubuntu doesn't follow the official Debian
>> releases. They just take whatever they need from the full archive.
>>
>> Best wishes: Michael
>> --
>> Geschäftsführer · Diplombibliothekar BBS, Informatiker eidg.
>Fachausweis
>> Admin Kuhn GmbH · Pappelstrasse 20 · 4123 Allschwil · Schweiz
>> T 0041 (0)61 261 55 61 <+41%2061%20261%2055%2061> · E
>[hidden email] ·
>> W www.adminkuhn.ch
>>
>>
>>
>> Am 19.09.2017 um 18:44 schrieb Dimitris Antonakis:
>> > I encountered the same error at a Debian stretch.server.Software
>error:
>> >
>> > DBIx::Class::Storage::DBI::_dbh_execute(): Duplicate entry '15-24'
>for
>> > key 'PRIMARY' at /usr/share/koha/lib/Koha/SearchField.pm line 38
>> >
>> >
>> > Distributor ID: Debian
>> > Description:    Debian GNU/Linux 9.1 (stretch)
>> > Release:        9.1
>> > Codename:       stretch
>> >
>> > On Mon, Mar 13, 2017 at 11:07 AM Zeno Tajoli <[hidden email]>
>wrote:
>> >
>> >> Hi,
>> >>
>> >>> Hello,
>> >>> I am installing Koha on Ubuntu 16 and I have managed to go
>through
>> >>> everything until on *stage 3* where after selecting *mandatory*
>and
>> >>> *optional options* I get a *software error*.
>> >>
>> >> install Koha on Ubuntu 16 is problematic.
>> >> See:
>> >>
>> >>
>>
>https://wiki.koha-community.org/wiki/Koha_on_ubuntu_-_packages#Ubuntu_16.04_and_MySQL_5.7
>> >>
>> >> Bye
>> >> _______________________________________________
>> >> Koha mailing list  http://koha-community.org
>> >> [hidden email]
>> >> https://lists.katipo.co.nz/mailman/listinfo/koha
>> >>
>> > _______________________________________________
>> > Koha mailing list  http://koha-community.org
>> > [hidden email]
>> > https://lists.katipo.co.nz/mailman/listinfo/koha
>> >
>> _______________________________________________
>> Koha mailing list  http://koha-community.org
>> [hidden email]
>> https://lists.katipo.co.nz/mailman/listinfo/koha
>>
>_______________________________________________
>Koha mailing list  http://koha-community.org
>[hidden email]
>https://lists.katipo.co.nz/mailman/listinfo/koha

--
Sent from my Android device with K-9 Mail. Please excuse my brevity.
_______________________________________________
Koha mailing list  http://koha-community.org
[hidden email]
https://lists.katipo.co.nz/mailman/listinfo/koha
Reply | Threaded
Open this post in threaded view
|

Re: Software error: Koha Web Installer-MARC21

Dimitris Antonakis
You were right Chris.
Everything works like a charm using mariadb.

On Tue, Sep 19, 2017 at 10:37 PM Chris Cormack <[hidden email]>
wrote:

> The main thing to do is use mariadb not mysql.
> The error reported earlier in this thread is due to using mysql.
>
> There are still some issues with Koha and latest mysql. But it's fine with
> mariadb
>
> Chris
>
> On 20 September 2017 7:16:44 AM NZST, Jonathan Druart <
> [hidden email]> wrote:
> >We received good feedbacks from people using Koha packages on stretch,
> >see
> >this recent thread
> >https://lists.katipo.co.nz/pipermail/koha/2017-August/048673.html
> >
> >On Tue, 19 Sep 2017 at 15:59 Michael Kuhn <[hidden email]> wrote:
> >
> >> Hi Dimitris
> >>
> >> According to https://koha-community.org/download-koha/ Debian
> >GNU/Linux
> >> 9 (Stretch) is not supported.
> >>
> >> Koha has its own problems with Ubuntu 16.04 (see the link given by
> >Zeno:
> >> https://wiki.koha-community.org/wiki/Koha_on_ubuntu_-_packages ).
> >> However it is said that "16.04 LTS is based on Debian stretch/SID".
> >As
> >> someone said, in fact Ubuntu doesn't follow the official Debian
> >> releases. They just take whatever they need from the full archive.
> >>
> >> Best wishes: Michael
> >> --
> >> Geschäftsführer · Diplombibliothekar BBS, Informatiker eidg.
> >Fachausweis
> >> Admin Kuhn GmbH · Pappelstrasse 20 · 4123 Allschwil · Schweiz
> >> T 0041 (0)61 261 55 61 <+41%2061%20261%2055%2061>
> <+41%2061%20261%2055%2061> · E
> >[hidden email] ·
> >> W www.adminkuhn.ch
> >>
> >>
> >>
> >> Am 19.09.2017 um 18:44 schrieb Dimitris Antonakis:
> >> > I encountered the same error at a Debian stretch.server.Software
> >error:
> >> >
> >> > DBIx::Class::Storage::DBI::_dbh_execute(): Duplicate entry '15-24'
> >for
> >> > key 'PRIMARY' at /usr/share/koha/lib/Koha/SearchField.pm line 38
> >> >
> >> >
> >> > Distributor ID: Debian
> >> > Description:    Debian GNU/Linux 9.1 (stretch)
> >> > Release:        9.1
> >> > Codename:       stretch
> >> >
> >> > On Mon, Mar 13, 2017 at 11:07 AM Zeno Tajoli <[hidden email]>
> >wrote:
> >> >
> >> >> Hi,
> >> >>
> >> >>> Hello,
> >> >>> I am installing Koha on Ubuntu 16 and I have managed to go
> >through
> >> >>> everything until on *stage 3* where after selecting *mandatory*
> >and
> >> >>> *optional options* I get a *software error*.
> >> >>
> >> >> install Koha on Ubuntu 16 is problematic.
> >> >> See:
> >> >>
> >> >>
> >>
> >
> https://wiki.koha-community.org/wiki/Koha_on_ubuntu_-_packages#Ubuntu_16.04_and_MySQL_5.7
> >> >>
> >> >> Bye
> >> >> _______________________________________________
> >> >> Koha mailing list  http://koha-community.org
> >> >> [hidden email]
> >> >> https://lists.katipo.co.nz/mailman/listinfo/koha
> >> >>
> >> > _______________________________________________
> >> > Koha mailing list  http://koha-community.org
> >> > [hidden email]
> >> > https://lists.katipo.co.nz/mailman/listinfo/koha
> >> >
> >> _______________________________________________
> >> Koha mailing list  http://koha-community.org
> >> [hidden email]
> >> https://lists.katipo.co.nz/mailman/listinfo/koha
> >>
> >_______________________________________________
> >Koha mailing list  http://koha-community.org
> >[hidden email]
> >https://lists.katipo.co.nz/mailman/listinfo/koha
>
> --
> Sent from my Android device with K-9 Mail. Please excuse my brevity.
> _______________________________________________
> Koha mailing list  http://koha-community.org
> [hidden email]
> https://lists.katipo.co.nz/mailman/listinfo/koha
>
_______________________________________________
Koha mailing list  http://koha-community.org
[hidden email]
https://lists.katipo.co.nz/mailman/listinfo/koha
Reply | Threaded
Open this post in threaded view
|

Re: Software error: Koha Web Installer-MARC21

PabloAB
2017-09-20 8:09 GMT-03:00 Dimitris Antonakis <[hidden email]>:

> You were right Chris.
> Everything works like a charm using mariadb.
>

​I had some problems installing Koha on Ubuntu 16.04. One was solved
with wizzyrea
advice <https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=13359#c6> of
installing mariadb-server before koha-common. I though that was unimportant.

Other problem was: If you get a timeout, or accidentally clic a second time
on submit button you'll probably get something like
  DBIx::Class::Storage::DBI::_dbh_execute(): Duplicate entry '14-16' for
key 'PRIMARY' at /usr/share/koha/lib/Koha/SearchField.pm line 38
In those cases a I solve it with koha-remove and start again (this work
if plugin='unix_socket' beside this <https://askubuntu.com/a/801950/349837>
).
The timeout of course could be solved with apache2.conf directive.
The later, maybe web installer could disable submit button
(onsubmit="this.submit_button.disabled=true;") and give some feedback of
the status of the process, particularly when creating tables and filling
them with data (in my case 4 and 6 minutes each).

Also, if you use --use-memcached You'll get
  DBIx::Class::Storage::DBI::catch {...} (): DBI Connection failed: Access
denied for user 'koha_library'@'localhost' (using password: YES)
Was hard to find the solution since koha-shell library was working fine.
The solution: Flush cache: echo flush_all > /dev/tcp/localhost/11211

Best regards,
Pablo

_______________________________________________
Koha mailing list  http://koha-community.org
[hidden email]
https://lists.katipo.co.nz/mailman/listinfo/koha